PLATFORM_DEVICE_AL(9)

NAME
platform_device_alloc -

SYNOPSIS

struct platform_device * platform_device_alloc (const char * name, unsigned int id);

ARGUMENTS

name
    base name of the device we're adding

id  instance id

DESCRIPTION

Create a platform device object which can have other objects attached to it, and which will have attached objects freed when it is released.